# Get products information of the order

**Method: GET**

#### HTTP Request <a href="#http-request" id="http-request"></a>

```
https://api.accesstrade.vn/v1/order-products
```

**\*Note: Limit: 10 requests / 1 minute**

The parameters are passed into HTTP Request according to Key-Value pairs, begin the parameters with the sign “?” and separate the parameters with the sign “&”. Ex:&#x20;

```
https://api.accesstrade.vn/v1/order-products?order_id=012345678&merchant=shopee_kolnew
```

#### Query parameters <a href="#query-parameters" id="query-parameters"></a>

| Parameters | Required | Description                                         |
| ---------- | -------- | --------------------------------------------------- |
| order\_id  | Required | Order\_id of the order (get the order\_v2 api side) |
| merchant   | Required | ProMerchant name. Example: adayroi, lazada          |
| page       | Optional | Page order. Starting from 1. Default 1              |
| limit      | Optional | Number of orders returned per page.                 |

**RESPONSE**

```
{
    "data": 
    [
        {
            "_at": 
            {
                "banner_id": 9419,
                "commission_type": 2,
                "goods_id": "1788784899_VNAMZ-8035509904@lazada_cashback@1788784899_VNAMZ-8035509904",
                "result_id": 30,
                "reward_type": 2,
                "seq_no": 118228959,
                "vn_click_id": ""
            },
            "_extra": 
            {
                "browser": "Chrome Mobile",
                "device": "Generic Generic Smartphone",
                "device_brand": "Generic",
                "device_family": "Generic Smartphone",
                "device_model": "Smartphone",
                "device_type": "mobile",
                "os": "Android",
                "parameters": 
                {
                    "at_unique_id": "_G0GGDRV72f40ncIeZeRPinxat",
                    "click_url": "https://c.lazada.vn/t/c.ZCM0dX?sub_aff_id=wNsfVI1B2Rp7y16Fnbmd4ykro1GDM0LuNVmmV3SgScFgQffd&url=https%3A%2F%2Fwww.lazada.vn%2F&sub_id1=684099&atnct1=71a3cb155f8dc89bf3d0365288219936&atnct2=wNsfVI1B2Rp7y16Fnbmd4ykro1GDM0LuNVmmV3SgScFgQffd&atnct3=SKTej00079n00enur",
                    "click_user_agent": "Mozilla/5.0 (Linux; U; Android 12; vi-vn; CPH2113 Build/SKQ1.210216.001) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/91.0.4472.88 Mobile Safari/537.36 HeyTapBrowser/45.8.4.1",
                    "utm_campaign": "5249638763776692551",
                    "utm_source": "123494162",
                    "utm_tool": "deeplink"
                }
            },
            "_id": "1788784899_VNAMZ-8035509904@lazada_cashback@1788784899_VNAMZ-8035509904",
            "billing": 
            {
                "approved": 0,
                "pending": 0,
                "reject": 129700.0
            },
            "campaign_id": "677",
            "click_time": "2022-05-21T19:54:32",
            "commission": 
            {
                "approved": 0,
                "pending": 0,
                "reject": 3774.0
            },
            "confirmed_time": "2022-06-10T09:59:16",
            "merchant": "lazada_cashback",
            "product_price": 129700.0,
            "product_quantity": 1,
            "quantity": 
            {
                "approved": 0,
                "pending": 0,
                "reject": 1
            },
            "reason_rejected": "N/A",
            "sales_time": "2022-05-21T19:58:00"
        }
    ]
    "total: 1
}
```

#### Describe results <a href="#m-t-k-t-qu" id="m-t-k-t-qu"></a>

| Parametters            | Description                                                                                                                                                                               |
| ---------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| data.\_at              | Information related to tracking                                                                                                                                                           |
| data.extra             | Information about browsers and operating systems to access                                                                                                                                |
| data.\_id              | Product ID                                                                                                                                                                                |
| data.billing           | <p>Product value (excluding discount)<br>Approved: product value in approved<br><br>Pending: product value in pending<br><br>Reject: product value in rejected</p>                        |
| data.campaign\_id      | Campaign ID                                                                                                                                                                               |
| data.click\_time       | Click time                                                                                                                                                                                |
| data.commission        | <p>Commission for publisher<br>Approved: Commission for publisher in approved<br><br>Pending: Commission for publisher in pending<br><br>Reject: Commission for publisher in rejected</p> |
| data.confirmed\_time   | Confirmed time                                                                                                                                                                            |
| data.merchant          | Merchant name                                                                                                                                                                             |
| data.product\_price    | Product price                                                                                                                                                                             |
| data.product\_quantity | <p>Total quantity product<br>Approved: Total quantity product in approved<br><br>Pending: Total quantity product in pending<br><br>Reject: Total quantity product in rejected</p>         |
| data.reason\_reject    | Reason reject                                                                                                                                                                             |
| data.sale\_time        | Sale time                                                                                                                                                                                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.accesstrade.vn/api-accesstrade-tai-lieu-tich-hop/get-products-information-of-the-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
